Skip to main content
GET
/
v2
/
monitors
/
{monitorId}
Get monitor details
curl --request GET \
  --url https://api.kausate.com/v2/monitors/{monitorId} \
  --header 'X-API-Key: <api-key>'
{
  "monitorId": "550e8400-e29b-41d4-a716-446655440000",
  "kausateId": "co_de_4JFFrsbQ99t1nmRw2JgzmG",
  "companyName": "ACME GmbH",
  "orgId": "org_123",
  "categories": [
    "all"
  ],
  "scheduleCron": "0 9 * * *",
  "temporalScheduleId": "monitor-550e8400-e29b-41d4-a716-446655440000",
  "isActive": true,
  "lastCheckedAt": "2025-12-04T09:00:00Z",
  "checkCount": 5,
  "createdAt": "2025-12-01T10:00:00Z",
  "updatedAt": "2025-12-04T09:00:00Z",
  "apiUrl": "/v2/monitors/550e8400-e29b-41d4-a716-446655440000",
  "currentStateSummary": {
    "hasCompanyDetails": true,
    "hasShareholderGraph": true,
    "lastUpdated": "2025-12-04T09:00:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

Sign up at Kausate.com to get an API key

Path Parameters

monitorId
string<uuid>
required

Response

Monitor details

Detailed response model for get monitor endpoint.

monitorId
string<uuid>
required
kausateId
string
required
companyName
string | null
required
orgId
string
required
categories
string[]
required
scheduleCron
string
required
temporalScheduleId
string
required
isActive
boolean
required
lastCheckedAt
string<date-time> | null
required
checkCount
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
apiUrl
string
required
currentStateSummary
Currentstatesummary · object

Summary of current monitored state

oldState
Oldstate · object

Previous state before the last detected change

newState
Newstate · object

Current state after the last detected change